import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
task_id_list = client.cloud.volume_snapshots.create(
project_id=1,
region_id=1,
name="my-snapshot",
volume_id="67baa7d1-08ea-4fc5-bef2-6b2465b7d227",
)
print(task_id_list.tasks)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cloud"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
taskIDList, err := client.Cloud.VolumeSnapshots.New(context.TODO(), cloud.VolumeSnapshotNewParams{
ProjectID: gcore.Int(1),
RegionID: gcore.Int(1),
Name: "my-snapshot",
VolumeID: "67baa7d1-08ea-4fc5-bef2-6b2465b7d227",
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", taskIDList.Tasks)
}
curl --request POST \
--url https://api.gcore.com/cloud/v1/snapshots/{project_id}/{region_id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "my-snapshot",
"volume_id": "67baa7d1-08ea-4fc5-bef2-6b2465b7d227",
"description": "Snapshot description",
"tags": {
"my-tag": "my-tag-value"
}
}
'const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'my-snapshot',
volume_id: '67baa7d1-08ea-4fc5-bef2-6b2465b7d227',
description: 'Snapshot description',
tags: {'my-tag': 'my-tag-value'}
})
};
fetch('https://api.gcore.com/cloud/v1/snapshots/{project_id}/{region_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tasks": [
"d478ae29-dedc-4869-82f0-96104425f565"
]
}Create snapshot
Create a new snapshot from a volume.
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
task_id_list = client.cloud.volume_snapshots.create(
project_id=1,
region_id=1,
name="my-snapshot",
volume_id="67baa7d1-08ea-4fc5-bef2-6b2465b7d227",
)
print(task_id_list.tasks)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cloud"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
taskIDList, err := client.Cloud.VolumeSnapshots.New(context.TODO(), cloud.VolumeSnapshotNewParams{
ProjectID: gcore.Int(1),
RegionID: gcore.Int(1),
Name: "my-snapshot",
VolumeID: "67baa7d1-08ea-4fc5-bef2-6b2465b7d227",
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", taskIDList.Tasks)
}
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Project ID
1
Region ID
1
Body
Snapshot name
^[a-zA-Z0-9][a-zA-Z 0-9._\-]{1,61}[a-zA-Z0-9._]$"my-snapshot"
Volume ID to make snapshot of
"67baa7d1-08ea-4fc5-bef2-6b2465b7d227"
Snapshot description
"Snapshot description"
Key-value tags to associate with the resource. A tag is a key-value pair that can be associated with a resource, enabling efficient filtering and grouping for better organization and management. Both tag keys and values have a maximum length of 255 characters. Some tags are read-only and cannot be modified by the user. Tags are also integrated with cost reports, allowing cost data to be filtered based on tag keys or values.
Show child attributes
Show child attributes
{ "my-tag": "my-tag-value" }
Response
OK
List of task IDs representing asynchronous operations. Use these IDs to monitor operation progress:
GET /v1/tasks/{task_id}- Check individual task status and details Poll task status until completion (FINISHED/ERROR) before proceeding with dependent operations.
["d478ae29-dedc-4869-82f0-96104425f565"]
Was this page helpful?